PETSc version 3.15.5
Fix/Edit manual page

# VecPointwiseDivide

Computes the componentwise division w = x/y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPointwiseDivide(Vec w,Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

| x, y | - the vectors

### Output Parameter

| w | - the result

### Notes

any subset of the x, y, and w may be the same vector.

### See Also

VecPointwiseMult(), VecPointwiseMax(), VecPointwiseMin(), VecPointwiseMaxAbs(), VecMaxPointwiseDivide()

### Level

advanced

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/tutorials/ex1.c.html
src/vec/vec/tutorials/ex1f.F90.html
src/vec/vec/tutorials/ex1f90.F90.html
src/vec/vec/tutorials/ex20f90.F90.html
src/ksp/ksp/tutorials/ex72.c.html
src/ts/tutorials/ex50.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
src/tao/constrained/tutorials/tomographyADMM.c.html
src/tao/pde_constrained/tutorials/elliptic.c.html
src/tao/pde_constrained/tutorials/parabolic.c.html
src/tao/tutorials/ex4.c.html

### Implementations

VecPointwiseDivide_Nest in src/vec/vec/impls/nest/vecnest.c
VecPointwiseDivide_Seq in src/vec/vec/impls/seq/bvec2.c
VecPointwiseDivide_SeqKokkos in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecPointwiseDivide_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecPointwiseDivide_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages